<?php
session_start();      // mengaktifkan session

// pengecekan session login user 
// jika user belum login
if (empty($_SESSION['username']) && empty($_SESSION['password'])) {
  // alihkan ke halaman login dan tampilkan pesan peringatan login
  header('location: ../../login.php?pesan=2');
}
// jika user sudah login, maka jalankan perintah untuk insert
else {
  // panggil file "database.php" untuk koneksi ke database
  require_once "../../config/database.php";

  // mengecek data hasil submit dari form
  if (isset($_POST['simpan'])) {
    // ambil data hasil submit dari form
    $nama_pekerjaan = mysqli_real_escape_string($mysqli, trim($_POST['nama_pekerjaan']));
    $kategori = mysqli_real_escape_string($mysqli, $_POST['kategori']);

    // mengecek "nama_pekerjaan" dan "kategori" untuk mencegah data duplikat
    // sql statement untuk menampilkan data dari tabel "tbl_pekerjaan" berdasarkan input "nama_pekerjaan" dan "kategori"
    $query = mysqli_query($mysqli, "SELECT nama_pekerjaan, kategori_id FROM tbl_pekerjaan 
                                    WHERE nama_pekerjaan='$nama_pekerjaan' AND kategori_id='$kategori'")
                                    or die('Ada kesalahan pada query tampil data : ' . mysqli_error($mysqli));
    // ambil jumlah baris data hasil query
    $rows = mysqli_num_rows($query);

    // cek hasil query
    // jika "nama_pekerjaan" dan "kategori" sudah ada di tabel "tbl_pekerjaan"
    if ($rows <> 0) {
      // alihkan ke halaman pekerjaan dan tampilkan pesan gagal simpan data
      header("location: ../../main.php?module=pekerjaan&pesan=4&nama_pekerjaan=$nama_pekerjaan&kategori_id=$kategori");
    }
    // jika "nama_pekerjaan" dan "kategori" belum ada di tabel "tbl_pekerjaan"
    else {
      // sql statement untuk insert data ke tabel "tbl_pekerjaan"
      $insert = mysqli_query($mysqli, "INSERT INTO tbl_pekerjaan(nama_pekerjaan, kategori_id) 
                                       VALUES('$nama_pekerjaan', '$kategori')")
                                       or die('Ada kesalahan pada query insert : ' . mysqli_error($mysqli));
      // cek query
      // jika proses insert berhasil
      if ($insert) {
        // alihkan ke halaman pekerjaan dan tampilkan pesan berhasil simpan data
        header('location: ../../main.php?module=pekerjaan&pesan=1');
      }
    }
  }
}
